<!DOCTYPE html>
<html lang="en">
    <head>

        <!-- Meta -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

        <!-- App manifest -->
        <link rel="manifest" href="{{ base_url() }}/public/manifest.json">
        <!-- Browserconfig -->
        <meta name="msapplication-config" content="{{ base_url() }}/public/browserconfig.xml" />
        <meta name="theme-color" content="#abd07e" />

        <!-- Page Title -->
        <title>{{ trans('back.app.authentication_login') }}</title>

        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha256-eZrrJcwDc/3uDhsdt61sL2oOBY362qM3lon1gyExkL0=" crossorigin="anonymous" />
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- iCheck -->
        <link rel="stylesheet" href="{{ base_url() }}/src/assets/scss/back/skins/synthWave84/plugins/iCheck/all.css">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ base_url() }}/public/css/back/adminlte.min.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

        <!-- Favicon(s) -->
        {{ include('back/_partials/fav-icons.twig') }}

    </head>
    <body class="hold-transition login-page">

        <div class="pull-right" style="width: 300px">
            <!-- including : FLASH messages -->
            {% include './@shared/callouts/passwordReset.twig' %}
        </div>

        <div class="login-box">
            <div class="login-logo">
                <a href="/">
                    <img src="{{ base_url() }}/src/assets/images/back/logo-icon-light.png" alt="">
                    <b>nexus</b>API
                </a>
            </div>

            <!-- /.login-logo -->
            <div class="login-box-body">
                <p class="login-box-msg">
                    {{ trans('back.app.user_sign_in_headline') }}
                </p>

                <form action="{{ path_for('back.signin') }}" method="post">
                    <div class="form-group has-feedback {{ errors.email ? 'has-error' }} : '' ">
                        <input id="email" name="email" type="email" class="form-control" placeholder="{{ trans('back.app.user_sign_in_email_placeholder') }}" value="{{ old.email }}">
                        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                        {% if errors.email %}
                            <span class="help-block">{{ errors.email | first }}</span>
                        {% endif %}
                    </div>
                    <div class="form-group has-feedback {{ errors.password ? 'has-error' }} : '' ">
                        <input id="password" name="password" type="password" class="form-control" placeholder="{{ trans('back.app.user_sign_in_password_placeholder') }}" autocomplete="off">
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        {% if errors.password %}
                            <span class="help-block">{{ errors.password | first }}</span>
                        {% endif %}
                    </div>
                    <div class="row">
                        <div class="col-xs-8">
                            <div class="checkbox icheck">
                                <label>
                                    <input type="checkbox"> {{ trans('back.app.user_sign_in_remember_me') }}
                                </label>
                            </div>
                        </div>
                        <!-- /.col -->
                        <div class="col-xs-4">
                            <button type="submit" class="btn btn-nexus btn-block btn-flat">
                                {{ trans('back.app.user_sign_in_button') }}
                            </button>
                            <!-- CSRF protection -->
                            {{ csrf.field | raw }}
                        </div>
                        <!-- /.col -->
                    </div>
                </form>

                <div class="social-auth-links text-center">
                    <p>-- <span class="margin-sides">{{ trans('back.app.user_sign_in_with_socials_linebreak') }}</span> --</p>
                    {% if get_config('sso.fb.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-facebook') }}" class="btn btn-block btn-social btn-facebook btn-flat">
                            <i class="fa fa-facebook"></i> {{ trans('back.app.user_sign_in_with_socials_facebook') }}
                        </a>
                    {% endif %}
                    {% if get_config('sso.gh.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-github') }}" class="btn btn-block btn-social btn-github btn-flat">
                            <i class="fa fa-github"></i> {{ trans('back.app.user_sign_in_with_socials_github') }}
                        </a>
                    {% endif %}
                    {% if get_config('sso.go.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-google') }}" class="btn btn-block btn-social btn-google btn-flat">
                            <img src="/src/assets/icons/vendors/google.png" style="width: 32px; height: 32px" alt=""> {{ trans('back.app.user_sign_in_with_socials_google') }}
                        </a>
                    {% endif %}
                    {% if get_config('sso.li.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-linkedin') }}" class="btn btn-block btn-social btn-linkedin btn-flat">
                            <i class="fa fa-linkedin"></i> {{ trans('back.app.user_sign_in_with_socials_linkedin') }}
                        </a>
                    {% endif %}
                    {% if get_config('sso.ms.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-microsoft') }}" class="btn btn-block btn-social btn-microsoft btn-flat">
                            <img src="/src/assets/icons/vendors/microsoft.png" style="width: 32px; height: 32px" alt=""> {{ trans('back.app.user_sign_in_with_socials_microsoft') }}
                        </a>
                    {% endif %}
                    {% if get_config('sso.tw.show_on_page') == true %}
                        <a href="{{ path_for('back.signin.with-twitter') }}" class="btn btn-block btn-social btn-twitter btn-flat">
                            <i class="fa fa-twitter"></i> {{ trans('back.app.user_sign_in_with_socials_twitter') }}
                        </a>
                    {% endif %}
                </div>
                <!-- /.social-auth-links -->

                <a href="{{ path_for('back.reset-password') }}">
                    {{ trans('back.app.user_sign_in_forgot_password') }}
                </a>

                <br>

                <a href="{{ path_for('back.signup') }}" class="text-center">
                    {{ trans('back.app.user_sign_in_create_new_user') }}
                </a>

            </div>
            <!-- /.login-box-body -->
        </div>
        <!-- /.login-box -->

        <!--------------------------
        |   REQUIRED JS SCRIPTS    |
        -------------------------->

        <!-- jQuery 3 -->
        <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
        <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js" integrity="sha256-eGE6blurk5sHj+rmkfsGYeKyZx3M4bG+ZlFyA7Kns7E=" crossorigin="anonymous"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
        <!-- iCheck -->
        <script src="{{ base_url() }}/public/js/back/vendors/icheck.min.js"></script>
        <script>
            $(function () {
                $('input').iCheck({
                    checkboxClass: 'icheckbox_square-synth',
                    radioClass: 'iradio_square-synth',
                    increaseArea: '20%' /* optional */
                });
            });
        </script>

        <!-- Callout -->
        <script>
            $(document).ready(function(){
                window.setTimeout(function (){
                    $( "#passwordCallOut" ).hide("slide", {direction: "right"}, 1000);
                }, 3000);
            });
        </script>

    </body>
</html>